using System;
using System.Xml;
using System.Xml.Serialization;

namespace SigKnockOpener
{
	/// <summary>
	/// This class just holds an association between a User-ID and a Key-ID.
	/// We use it in the keys-combobox. Only the User-ID will be shown there
	/// (via the ToString-Method), and with the reference we can easily get
	/// the Key-ID belonging to the selected User-ID.
	/// </summary>
	public class UserIDKeyIDTupel
	{
		[XmlAttribute("uid")] public String uid;
		[XmlAttribute("keyid")] public String keyid;

		public UserIDKeyIDTupel(String UserID, String KeyID)
		{
			uid=UserID;
			keyid=KeyID;
		}

		public override String ToString()
		{
			return uid;
		}
	}
}
